Teams
GET
/organizations/{organizationId}/teams
List the teams inside an organization.
Parámetros de consulta
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.name
string
obligatorio
results.description
string
obligatorio
results.visibility
string
obligatorio
Possible values: public, private
results.accessibility
string
obligatorio
Possible values: open, request-to-join, invite-only
results.activeMemberCount
integer
obligatorio
results.pendingMemberCount
integer
obligatorio
results.featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
results.featuredMembers.type
string
obligatorio
Possible values: user
results.featuredMembers.id
string
obligatorio
results.roleRefs
array of object
The list of roles assigned to the team
Mostrar atributos secundarios
results.roleRefs.id
string
obligatorio
results.roleRefs.type
string
obligatorio
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/teams
Create a new team inside the organization.
Cuerpo de la solicitud
name
string
obligatorio
description
string
obligatorio
roleRefs
array of object
The list of roles assigned to the team
Mostrar parámetros secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Cuerpo de la respuesta
id
string
obligatorio
name
string
obligatorio
description
string
obligatorio
visibility
string
obligatorio
Possible values: public, private
accessibility
string
obligatorio
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
obligatorio
pendingMemberCount
integer
obligatorio
featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
featuredMembers.type
string
obligatorio
Possible values: user
featuredMembers.id
string
obligatorio
roleRefs
array of object
The list of roles assigned to the team
Mostrar atributos secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/teams/{teamId}
Retrieve a single team.
Cuerpo de la respuesta
id
string
obligatorio
name
string
obligatorio
description
string
obligatorio
visibility
string
obligatorio
Possible values: public, private
accessibility
string
obligatorio
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
obligatorio
pendingMemberCount
integer
obligatorio
featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
featuredMembers.type
string
obligatorio
Possible values: user
featuredMembers.id
string
obligatorio
roleRefs
array of object
The list of roles assigned to the team
Mostrar atributos secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/teams/{teamId}
Delete a team from an organization.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/teams/{teamId}
Update a team's details.
Cuerpo de la solicitud
name
string
description
string
roleRefs
array of object
The list of roles assigned to the team
Mostrar parámetros secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
Cuerpo de la respuesta
id
string
obligatorio
name
string
obligatorio
description
string
obligatorio
visibility
string
obligatorio
Possible values: public, private
accessibility
string
obligatorio
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
obligatorio
pendingMemberCount
integer
obligatorio
featuredMembers
array of object
obligatorio
Mostrar atributos secundarios
featuredMembers.type
string
obligatorio
Possible values: user
featuredMembers.id
string
obligatorio
roleRefs
array of object
The list of roles assigned to the team
Mostrar atributos secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'